Bug 243516 - -gnu/-gnueabi issue on arm platforms
Summary: -gnu/-gnueabi issue on arm platforms
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: binutils (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: arm9 Linux
low
low
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: ARMTracker
TreeView+ depends on / blocked
 
Reported: 2007-06-09 10:40 UTC by Lennert Buytenhek
Modified: 2008-08-02 23:40 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-28 22:56:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Spec file patch for binutils 2.17.50.0.12-4. (430 bytes, patch)
2007-06-09 10:40 UTC, Lennert Buytenhek
no flags Details | Diff

Description Lennert Buytenhek 2007-06-09 10:40:49 UTC
On ARM systems, whether old-ABI or EABI is being used is encoded in
the fourth part of the target triple (-gnu for old-ABI, -gnueabi for
EABI.)

The binutils spec file redefines _gnu to %{nil}, which causes the
fourth part of the target triple to be left out entirely when passed
to configure, and causes binutils to build for old-ABI even on EABI
systems.

The attached patch makes redefining _gnu to %{nil} conditional on
not building for an ARM system, and fixes the build for ARM EABI.

Comment 1 Lennert Buytenhek 2007-06-09 10:40:49 UTC
Created attachment 156641 [details]
Spec file patch for binutils 2.17.50.0.12-4.

Comment 2 Jakub Jelinek 2007-06-12 09:25:50 UTC
arm macro isn't defined in standard rawhide rpm nor redhat-rpm-config.


Comment 3 Jakub Jelinek 2007-06-21 09:50:18 UTC
Ping.  Can you first get this macro defined into rpm or at least
redhat-rpm-config before spec files start using it?

Comment 4 Lennert Buytenhek 2007-06-21 12:41:55 UTC
Sorry for the delay in response.  This macro (along with other ARM changes) just
got merged into the upstream version of rpm:

   https://www.redhat.com/archives/fedora-arm/2007-June/msg00002.html

However, this change has not trickled down into the rawhide version of rpm yet.
 If you want that to happen first, please let me know and I'll get back to you
on this when that has happened.

Comment 5 Lennert Buytenhek 2007-06-29 11:55:01 UTC
The rawhide rpm now defines %{arm}.

Comment 6 Lennert Buytenhek 2007-06-29 11:56:18 UTC
The rawhide rpm now defines %{arm}.


Note You need to log in before you can comment on or make changes to this bug.